---
title: PerformanceResourceTiming.initiatorType
slug: Web/API/PerformanceResourceTiming/initiatorType
tags:
  - API
  - Property
  - Reference
  - Web Performance
---
<div>{{APIRef("Resource Timing API")}}</div>

<p>The <strong><code>initiatorType</code></strong> read-only property is a {{domxref("DOMString","string")}} that represents the <em>type</em> of resource that initiated the performance event.</p>

<p>The value of this string is as follows:</p>

<ul>
	<li>If the initiator is a {{domxref("Element")}}, the property returns the element's {{domxref("Node.localName","localName")}}.</li>
	<li>If the initiator is a {{domxref("CSS")}} resource, the property returns "<code>css</code>".</li>
	<li>If the initiator is a {{domxref("XMLHttpRequest")}} object, the property returns "<code>xmlhttprequest</code>".</li>
	<li>If the initiator is a {{domxref("PerformanceNavigationTiming")}} object, the property returns an empty string (<code>""</code>).</li>
</ul>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>resource</em>.initiatorType;
</pre>

<h3 id="Return_Value">Return value</h3>

<p>A {{domxref("DOMString","string")}} representing the <em>type</em> of resource that initiated the performance event, as specified above.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function print_PerformanceEntries() {
  // Use getEntriesByType() to just get the "resource" events
  var p = performance.getEntriesByType("resource");
  for (var i=0; i &lt; p.length; i++) {
    print_initiatorType(p[i]);
  }
}
function print_initiatorType(perfEntry) {
  // Print this performance entry object's initiatorType value
  var value = "initiatorType" in perfEntry;
  if (value)
    console.log("... initiatorType = " + perfEntry.initiatorType);
  else
    console.log("... initiatorType = NOT supported");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Resource Timing', '#dom-performanceresourcetiming-initiatortype', 'initiatorType')}}</td>
			<td>{{Spec2('Resource Timing')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceResourceTiming.initiatorType")}}</p>
